
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Office 365 身份验证和单一登录部署（4） / 憋错料</title>

    <meta name="description" content="Office 365 身份验证和单一登录部署（4） 配置本地和Office 365联合信任 建议将DirSync tool和Windows Azure Active Directory 模块安装在ADFS服务器上,这样就不用去设置ADFS context.以域管理员登录DC服务器. 1.转换自定义域为联合域 安装Microsoft Online Services Sign-In Assistant for IT Professionals (MOSSA version 7.0以上),以下是下载链接, http://www.microsoft.co">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Office 365 身份验证和单一登录部署（4）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>配置本地和Office 365联合信任</h1>
<p>建议将DirSync tool和Windows Azure Active Directory 模块安装在ADFS服务器上，这样就不用去设置ADFS context。以域管理员登录DC服务器。</p>
<ol>
<li>1.转换自定义域为联合域</li>
</ol>
<ul>
<li>安装Microsoft Online Services Sign-In Assistant for IT Professionals (MOSSA version 7.0以上)，以下是下载链接，</li>
</ul>
<p><a>http://www.microsoft.com/en-us/download/details.aspx?id=39267</a></p>
<ul>
<li>安装.NET Framework 3.5和4.5,&nbsp; 目的是为了安装Windows Azure Active Directory Module for Windows PowerShell</li>
<li>安装用于 Windows PowerShell 的 Windows Azure Active Directory 模块，该模块可以在Office 365中下载( 用户和组 &gt; 活动用户 &gt; 管理)</li>
<li>Windows Azure Active Directory 模块安装完成后，以管理员身份运行Windows PowerShell 的 Windows Azure Active Directory，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUGFCWnVvN0FBQlFFUl9YSHZrNTEzLnBuZw==.jpg" /></p>
<ul>
<li>输入 “Connect-MSOLService”，然后验证窗口中输入一个Office 365 global administrator account进行验证，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkUvd0tpb0wxZGYxZ25UR0RrRkFBQnZRdWVWVzFZODQyLmpwZw==.jpg" /></p>
<ul>
<li>输入get-msoldomain –domainname hphaobo.com | fl</li>
</ul>
<p>查看下hphaobo.com这个域的验证方式为Managed，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUGlDWW1DckFBRE81bEFtdjlzODM5LnBuZw==.jpg" /></p>
<ul>
<li>转换hphaobo.com这个域的验证方式为联合验证，</li>
</ul>
<p>输入Convert-MsolDomainToFederated –DomainName “hphaobo.com”，转换后可以查看到hphaobo.com的Authentication已变成Federated，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQzAvd0tpb20xZGYxUG1qaU4tSkFBQ0NPZzdrclZFMzA1LmpwZw==.jpg" /></p>
<ul>
<li>最后我们可以打ADFS Management,我们能看到ADFS能为客户端提供单一登录服务(Single sign-on)，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkUvd0tpb0wxZGYxZ3pqYW5rbUFBQkdDZEd0OUJzNzI2LmpwZw==.jpg" /></p>
<p>2. <strong>激活Active Directory(Office 365)</strong></p>
<p><strong></strong></p>
<p>Windows Azure Active Directory (WAAD Sync tool能将本地(On-premises)的对象同步到Office 365上，本次Lab是将DirSync tool安装在DC上，以下是安装和配置的步骤。</p>
<ul>
<li>激活Active Directory</li>
</ul>
<p>使用订阅账户登录Office 365，导航至 用户和组 &gt; 活动用户 &gt; Active Directory 同步设置，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUHp6ZGgwakFBQnQ1SWw4Ml9VNDUxLmpwZw==.jpg" /></p>
<ul>
<li>在设置并管理Active Directory同步页面中，点击“激活”，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUDJpdE1TWkFBQnlFaFctNTJnODE3LmpwZw==.jpg" /></p>
<ul>
<li>在寻问是否要激活窗口中，点击“激活”，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUDZDT0lPVkFBQ1dzX2RHLWNrMzI3LmpwZw==.jpg" /></p>
<ul>
<li>刚激活后可能不会马上生效，有时需要等待长达24小时，以下是完成激活页面，见下图:</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUC1DbEg1aUFBQ0R0U1lRRFB3NDExLmpwZw==.jpg" /></p>
<p>3. 安装和配置目录同步</p>
<ul>
<li>建立一个Office 365 Tenant账户用于配置DirSync, <a>在此建立的用户名为[email&#160;protected]</a>, 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkUvd0tpb0wxZGYxaExRQ3dHSUFBQ0c0eTRDLXdrMjYxLmpwZw==.jpg" /></p>
<p>设置该账户时，不分配许可证，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQkUvd0tpb0wxZGYxaFBnem9ZVUFBQ0VCalBGdG9nNzE1LmpwZw==.jpg" /></p>
<p>角色设置为“全局管理员”，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQkUvd0tpb0wxZGYxaFNoMUluY0FBQlJ5WVdGQnA0NzM5LmpwZw==.jpg" /></p>
<ul>
<li>修改密码，并<a>将[email&#160;protected]</a>设置密码永不过期，需要使用用于 Windows PowerShell 的 Windows Azure Active Directory 模块，输入 “Connect-MSOLService”，然后验证窗口中输入一个Office 365 global administrator account进行验证。</li>
</ul>
<p>未设置时PasswordNeverExpires为False ，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkUvd0tpb0wxZGYxaGFTd0VTNkFBQ3p0anc4TklnMDk0LmpwZw==.jpg" /></p>
<p>使用Set-MsolUser -UserPrincipalName "[email&#160;protected]" -PasswordNeverExpires $true 设置密码永不过期，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUVRoeHhWR0FBQTY5anRpSHBVMDAwLmpwZw==.jpg" /></p>
<p>设置后查看svc-dirsync PasswordNeverExpires状态，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkUvd0tpb0wxZGYxaGl3VTNELUFBRENYcGZFZzJRNjY3LmpwZw==.jpg" /></p>
<ul>
<li>下载WAAD Sync Tool工具，在Office 365管理中心中下载，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQkUvd0tpb0wxZGYxaG1RdGNIWEFBQmQ1cjdXZXpZNTM1LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkUvd0tpb0wxZGYxaHJTMjdIRUFBQkx5OW5jNnR3ODQ0LmpwZw==.jpg" /></p>
<ul>
<li>开始安装，以管理员身份运行刚下载的dirsync-zh-hans工具，出现安装Welcome页，点next, 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUW1DeE1uNkFBQ01zNl8yWjN3NDIzLmpwZw==.jpg" /></p>
<ul>
<li>接受License Tems，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQzAvd0tpb20xZGYxUXFDZGQ1V0FBRE1GZEJnTlFBNDMxLmpwZw==.jpg" /></p>
<ul>
<li>Select Installation Folder, 使用默认，点Next, 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkUvd0tpb0wxZGYxaDJ5bEJ5VUFBQ09lVmpsR1ZrOTQ4LmpwZw==.jpg" /></p>
<ul>
<li>等待安装进程，直到完成，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkUvd0tpb0wxZGYxaDdBLVNwZkFBQjhDVkJKdWNzMDc3LmpwZw==.jpg" /></p>
<ul>
<li>勾选Start Configuration Wizard now, 点击Finished. 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkYvd0tpb0wxZGYxaC1UQ2pPVkFBQl9UYnpBUm1zNzcwLmpwZw==.jpg" /></p>
<ul>
<li>开始配置WAAD, 在出现的WAAD Sync tool Configuration Wizard中，点Next, 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQzAvd0tpb20xZGYxUTZqOUYzekFBREpYSkxkeW04MzkwLmpwZw==.jpg" /></p>
<ul>
<li>在Windows Azure Active Directory Credentials页中，输入Office <a>365的订阅管理账号[email&#160;protected]</a>和密码，目的在同步时会以该服务账户连接Office 365服务, 见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUS1TUnhub0FBRFZIRGFVY3ZvODA2LmpwZw==.jpg" /></p>
<ul>
<li>在Active Directory Credentials页面中，输入本地AD管理员权限账户，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQkYvd0tpb0wxZGYxaU9oRlZZMkFBREhBOVBIcmhVMTAxLmpwZw==.jpg" /></p>
<ul>
<li>在Hybrid Deployment页中，根据需要进行选择，如果勾选”Enable Hybrid Deployment”，则允许从Azure Active Directory写数据到on-premises Active Directory，这个功能只修改已存在的对象，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUktEdUpMZ0FBQy05UXB2b2pVMTk1LmpwZw==.jpg" /></p>
<ul>
<li>在Password Synchronization页中，设置是否允许将密码同步到Office 365上，</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQzAvd0tpb20xZGYxUk96YlctN0FBQzU2ZE5Zd2VrMjg5LmpwZw==.jpg" /></p>
<ul>
<li>按照向导配置，点击Next，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQzAvd0tpb20xZGYxUlR4S0toU0FBQ0pyenM1TnA4MDU0LmpwZw==.jpg" /></p>
<ul>
<li>在Finished页面中，选择是否立即同步，在此我们选择”Synchronize your directories now”，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQzAvd0tpb20xZGYxUlhCbVFEY0FBQ1pVM3B3cktRNDEwLmpwZw==.jpg" /></p>
<ul>
<li>最后出现一个如何Verify directory synchronization的消息框，点击OK，完成。</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkYvd0tpb0wxZGYxaWpUWUVJRUFBQzIwR2tpWEMwOTM4LmpwZw==.jpg" /></p>
<ul>
<li>同步完成后，登录Office 365后，可以看到on-premises账户已同步到Office 365中，见下图：</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkYvd0tpb0wxZGYxaW54ZHR2S0FBQkstSHVYUkJRNDk1LmpwZw==.jpg" /></p>
<h2>4. 检验AD对象同步</h2>
<p>可以使用miisclient工具查看同步的状态，该工具位于<strong><em>C:\Program Files\Windows Azure Active Directory Sync\SYNCBUS\Synchronization Service\UIShell </em></strong>下，见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQzAvd0tpb20xZGYxUml6eE5QakFBQ0wwVU1IbGdjNzMyLmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvQkYvd0tpb0wxZGYxaXl5MDA4VkFBRGYxTmE4RGZNNzgyLmpwZw==.jpg" /></p>
<h2>5.强制目录同步</h2>
<p>在企业有些场景中，有时需要立即同步信息，我们可以Powershell命令来实现</p>
<p>在安装有DirSync Tool的服务器上打开Powershell, 运行</p>
<p>import-module dirsync</p>
<p>Start-OnlineCoexistenceSync</p>
<p>见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkYvd0tpb0wxZGYxaXp6RFlhd0FBQV9pSXdFOW9rMzU2LmpwZw==.jpg" /></p>
<h2>6.激活已同步的账户</h2>
<p>选择已同步的账户，然后点击“激活已同步用户”，按向导完成激活。见下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvQkYvd0tpb0wxZGYxaTNRSXdjSEFBQjB0NlRZbVJFNzgyLmpwZw==.jpg" /></p>
<h1>演示Office 365单一登录</h1>
<p>使用已同步到Office 365账户(<a>[email&#160;protected]</a>) ，该账户在Office 365中分配了Exchange online许可</p>
<p>将portal.microsoftonline.com, login.microsoftonline.com, portal.office.com加入到IE Local Intranet可信任站点中</p>
<p><a>用[email&#160;protected]</a> 登录客户端，IE中打开portal.microsoftonline.com, <a>输入用户(UPN格式)：[email&#160;protected]</a>，见下图:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkYvd0tpb0wxZGYxaTdnX0U2N0FBQjRzYUZjVzlFMjQ1LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvQkYvd0tpb0wxZGYxaV9pWWdpTUFBQjBncmNjUVM4NzY4LmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 14:23:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/justify/" title="justify">justify</a>, <a href="https://www.biecuoliao.com/tag/office/" title="office">office</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Office 365 身份验证和单一登录部署（4）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/498a2v3.html" rel="bookmark">Office 365 身份验证和单一登录部署（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Office 365准备工作: 1. 注册Office 365订阅账户 通过以下链接注册Office 365账户(Office 365 Enterprise E3),根据向导注册,注册过程略 http://office.microsoft.com/en-us/business/office-365-for-enterprise-document-sharing-FX103030346.aspx 2. 添加您的域到Office 365中 1) 登录Office 365门户,见下图: 2) 导航至&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVVrEpM.html" rel="bookmark">Office 365 身份验证和单一登录部署（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.   部署ADFS 3.0 在此Lab环境中,因为虚机资源紧张,所以将Active Directory Federation Service安装在DC上,如果是企业环境中是将ADFS角色部署在独立的服务器上,需要将该服务器入加域,Window Server 2012 R2上集成的ADFS角色版本是3.0,以下是部署ADFS步骤. ?  安装ADFS 以管理员身份登录DC,打开Server Manager-Add roles and features, 见下图: 选择&quot;Role-based o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RDRb74.html" rel="bookmark">Office 365 身份验证和单一登录部署（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境描述: 1 .Windows Server 2012 R2 Server (Windows Azure VM) 角色:域控制器,目录同步,ADFS服务 网段:192.168.0.10 2. Windows Server 2012 R2 Server (Windows Azure VM) 角色:WAP (ADFS Proxy) 网段:192.168.1.10 3. Lab Domain: hphaobo.com (已在公网注册) 4. Account: hphaobo\exadmin 5. 公			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXrmPk3.html" rel="bookmark">KB：Office 365 MX验证出错&amp;OWA 打开后Http 404</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				故障描述 未找到Exchange Online的MX 记录 添加域名后,已经等待一周时间,仍无法验证MX记录.但是通过NSLOOKUP查询的结果却是DNS记录已经生效. 当登录Outlook Web App时,白屏(HTTP 404) 当点击上方的Outlook 日历 人员时,Chrome 直接跳转到一个白屏的页面,IE则是显示为Http 404.但是当使用 [email protected]格式的账号登录时,则可以顺畅的进入Outlook Web App. 诊断方法 打开CMD,运行一下命令,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qjr8kM.html" rel="bookmark">上网行为管理AD域集成windos身份验证SSO单点登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.背景需求 在大型公司项目上会使用到AD域集成windos身份验证SS0单点登录,而不同用户有不同的环境,不同环境就会有不同的验证需求,使用微软AD域进行用户身份验证,会经常出现在客户的需求中. 二.网域上网行为管理集成windos身份验证功能. 什么是AD域集成windos身份验证了?就是基于windos系统的电脑端都需要加入到AD域或者这些没有加入到AD域的windos系统的电脑必须要通过AD域的用户验证信息才能上网.为什么大型企业需要windos身份验证?通过windos身份验证分配给每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xo8XLM.html" rel="bookmark">Office 365系列之十：批量部署O365客户端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转眼间已经到整个系列的第十部分了,购买了O365订阅服务后,为了给用户更好的体验需要为用户部署客户端,之前我们提到的用户通过O365管理中心使用即点即用技术自助完成安装,但是这样客户端是直接通过Internet下载安装源.这样给企业网络带来了很大的问题,今天在此跟大家分享怎么批量去部署O365客户端,让客户端到公司内部的共享路径去安装. 1. 下载即点即用安装源文件 新建用于存放O365安装源的文件夹&quot;Office15&quot; 右键选择&quot;共享&quot;-&quot;特定用户&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPXaq6M.html" rel="bookmark">Forms身份验证不能在分布式部署中作为认证？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参照网上的一些方法,使用Forms身份验证对应用进行分布式部署,发现没有成功. 应用部署的两台内网服务器:192.168.1.19,192.168.1.87,使用Nginx做负载分配,配置完全相同:每台都可以登录运行. &lt;system.web&gt; &lt;!--配置 ASP.NET 使用的安全身份验证模式,以标识传入的用户.domain=&quot;.zt-express.com&quot; --&gt; &lt;authentication mode=&quot;Forms&quot;&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnNpY4.html" rel="bookmark">SQL Server中服务器身份验证及用户登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装过程中,SQL Server 数据库引擎设置为&quot;Windows 身份验证模式&quot;或&quot;SQL Server 和 Windows 身份验证模式&quot;. 安装完成后,您可以随时更改身份验证模式. 如果在安装过程中选择了&quot;Windows 身份验证模式&quot;,则 sa 登录名将被禁用,安装程序会分配一个密码. 如果稍后将身份验证模式更改为&quot;SQL Server 和 Windows 身份验证模式&quot;,则 sa 登录名仍处于禁用状态. 若要使用 s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qkBD9M.html" rel="bookmark">OpenStack 控制节点基本环境和身份验证服务的安装部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OpenStack Networking(neutron) 需要一个控制节点(controller node).一个网络节点(networknode)以及至少一个计算节点(compute node). 一.物理环境部署 1.物理环境规划 表1.1. OpenStack环境部署 二.安装前的部署 1.1配置主机名 [email protected]:~# vim  /etc/hostname controller 1.2 配置IP地址 [email protected]:~# vim  /etc/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kVApM.html" rel="bookmark" class="title">JS手动创建标签</a>
					<div>
						代码: &lt;html&gt; &lt;head&gt; &lt;title&gt;js标签属性的添加&lt;/title&gt; &lt;script &gt; function setxxx() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byDnVM.html" rel="bookmark" class="title">C&plus;&plus;游戏开发需要阅读的书籍</a>
					<div>
						如果要自学游戏程序开发的话,可以看看下面的,呵呵. 游戏开发资料(PDF书都是中文版的,非英文,很多是本人自己扫描制作,从未网上发布过,所以独家啦):  1.Gamebryo 2.2游戏引擎(盛大.腾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7KLE4.html" rel="bookmark" class="title">一种新型聚类算法&lpar;Clustering by fast search and find of density peaksd&rpar;</a>
					<div>
						最近在学习论文的时候发现了在science上发表的关于新型的基于密度的聚类算法 Kmean算法有很多不足的地方,比如k值的确定,初始结点选择,而且还不能检测费球面类别的数据分布,对于第二个问题,提出了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyzxO4.html" rel="bookmark" class="title">UITableViewCell动态AutoLayout布局</a>
					<div>
						相关链接: 使用Autolayout实现UITableView的Cell动态布局和高度动态改变 IOS tableView cell动态高度 (autoLayout) AutoLayoutClub					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQrRD3.html" rel="bookmark" class="title">日期插件的一个小特效实现</a>
					<div>
						html代码&lt;div class=&quot;Date_selection&quot; style=&quot;display:none&quot;&gt; &lt;span class=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35leK10.html" rel="bookmark" class="title">docker注意事项</a>
					<div>
						当你最后投入容器的怀抱,发现它能解决很多问题,而且还具有众多的优点: 第一:它是不可变的 – 操作系统,库版本,配置,文件夹和应用都是一样的.您可以使用通过相同QA测试的镜像,使产品具有相同的表现.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wy1rNM.html" rel="bookmark" class="title">前端CSS规范大全&lpar;转&rpar;</a>
					<div>
						一.文件规范 1.文件均归档至约定的目录中. 具体要求通过豆瓣的CSS规范进行讲解: 所有的CSS分为两大类:通用类和业务类.通用的CSS文件,放在如下目录中: 基本样式库 /css/core 通用U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x51vr3.html" rel="bookmark" class="title">糖尿病</a>
					<div>
						http://zh.wikipedia.org/wiki/%E7%B3%96%E5%B0%BF%E7%97%85 糖尿病(英语:Diabetes mellitus )是一类代谢性疾病,它的特征是血糖长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWJma4.html" rel="bookmark" class="title">（c语法百题13）符号函数</a>
					<div>
						知识点: if……else……if……else的用法. 内容: 计算下列函数(符号函数): 1 (x&gt;0) y= 0 (x=0) -1 (x&lt;0) 输入说明: 一个整数 输出说明: 一个数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZrjD83.html" rel="bookmark" class="title">项目经理在项目各阶段的工作重点</a>
					<div>
						大家都知道工作要抓重点,抓住了重点事半功倍.那在项目各阶段,项目经理的工作重点是什么? 一．启动阶段 1.识别和分析重要的项目干系人,确定项目的沟通策略.2.让客户认可你.项目经理要尽快得到客户的认可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr1Po3.html" rel="bookmark" class="title">数据优化方法</a>
					<div>
						减少应用和数据库的交互次数.同一个sql语句的执行次数 减少表之间的关联,特别对于批量数据处理,尽量单表查询数据,统一在内存中进行逻辑处理,减少数据库压力(java处理批量数据不可取,尽量用c或者c+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kogyj0.html" rel="bookmark" class="title">OCR文字识别软件拆分对页和校正文本方向的教程</a>
					<div>
						在使用ABBYY FineReader Pro for Mac OCR文字识别软件转换文档的时候,如果检测到的已识别文本片段方向错误,或片段的文本反转,表示片段中可能包含大量错误,那么应该怎样正确地识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLlg23.html" rel="bookmark" class="title">java多线程知识点汇总（四）多线程知识点脉络图</a>
					<div>
						1.多线程安全问题 1)synchronized关键字:如何加锁的问题,选择synchronized方法还是synchnized代码块. 选择哪个锁问题,this对象,还是class对象(针对stat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZO6g0.html" rel="bookmark" class="title">友盟登录微信第三方登录报错解决linker command failed with exit code 1</a>
					<div>
						:错误 Undefined symbols for architecture x86_64: &quot;OBJC_CLASS$_UMSocialUtils&quot;, referenced fro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471mBy0.html" rel="bookmark" class="title">逆向怎么玩 - 动态调试jetBrains CLion实录</a>
					<div>
						声明 CLion程序版权为jetBrains所有.注册码授权为jetBrains及其付费用户所有,本篇只从兴趣出发,研究其程序运行原理及注册码生成算法. 不会释出任何完整的源代码. 网上查了下,已有注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MynD7E0.html" rel="bookmark" class="title">用VMware Workstation 11的LAN区段功能构造内网环境</a>
					<div>
						原来用host only模式构造内网环境,只是虚拟机访问不了外网,但其实主机还是能连上这个网段,不能很好的模拟真实环境. 后来有人和我说了一种方法,把这个复选框钩去掉,就可以让主机访问不了这个网段 但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3raQya0.html" rel="bookmark" class="title">zabbix2&period;4&period;5迁移到zabbix3&period;0</a>
					<div>
						参考文档 http://qicheng0211.blog.51cto.com/3958621/1744603 起因 zabbix 2.4.5数据库mysql突然死掉了,查找mysql数据库日志发现保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MENVPg0.html" rel="bookmark" class="title">如何向非技术人（程序猿）解释SQL注入？</a>
					<div>
						前两天看博客园新闻,有一篇文章名为&lt;我该如何向非技术人解释SQL注入?&gt;(http://kb.cnblogs.com/page/515151/).是一个外国人写的,伯乐在线翻译的.我当时看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBn5OAM.html" rel="bookmark" class="title">30天自制操作系统（第四天）</a>
					<div>
						8086- 80286- 80386- 80486- Pentium- Pentium Pro- Pentium 1- Pentium 2- Pentium 3 到80286都是16位CPU,其他是3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bawELM.html" rel="bookmark" class="title">FastDFS测试</a>
					<div>
						FastDFS安装    FastDFS 是一个国产开源的轻量级分布式文件系统,它对文件进行管理,功能包括:文件存储.文件同步.文件访问(文件上传.文件下载)等,解决了大容量存储和负载均 衡的问题.特 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
